/* eStylerLite installation script */
/*trace "?I"*/

/* initialization *******************************************************/
nl = "0d0a"x

"@echo off"
"mode co80,40"
say
say " Press any key to start the installation of eStylerLite for eComStation"
say " to your \OS2\ directory. Press Ctrl-C to abort installation"
say
"PAUSE > NUL"
say nl"Initialization ..."nl
if RxFuncQuery('SysLoadFuncs') then do
    call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
    call SysLoadFuncs
    end
bootdrv = SysBootDrive();

/* LIST OF THE FILES INCLUDED IN THE PACKAGE AND DESTINATION PATHS */
/*                                                                 */
/* Files whose copy might be deferred if they are in use :         */
/*                                                                 */
/* ESTLRL10.DLL -> \OS2\DLL                                        */
/* ESTLRLRS.DLL -> \OS2\DLL                                        */
/* AFCUTL01.DLL -> \OS2\DLL                                        */
/* ESTYLER.EXE  -> \OS2                                            */
/*                                                                 */
/* Other files :                                                   */
/*                                                                 */
/* ESTYLER.HLP  -> \OS2\HELP                                       */
/* BITMAP\*     -> \OS2\BITMAP                                     */

/* UNLOCK EXECUTABLE MODULES TO ALLOW OVERWRITING                  */

"unlock "bootdrv"\OS2\DLL\ESTLRL10.DLL > NUL"
"unlock "bootdrv"\OS2\DLL\ESTLRLRS.DLL > NUL"
"unlock "bootdrv"\OS2\DLL\AFCUTL01.DLL > NUL"
"unlock "bootdrv"\OS2\ESTYLER.EXE > NUL"

/* COPY DLLs ************************************************************/
say nl"Copying file to \OS2\DLL\ ..."nl
destpath = bootdrv"\OS2\DLL"
"COPY ESTLRL10.DLL "destpath
"COPY ESTLRLRS.DLL "destpath
"COPY AFCUTL01.DLL "destpath
/* Copy ESTYLER.EXE to \OS2                                             */
say nl"Copying ESTYLER.EXE to \OS2\..."nl
destpath = bootdrv"\OS2"
"COPY ESTYLER.EXE "destpath
/* Copy ESTYLER.HLP to \OS2\HELP                                        */
say nl"Copying ESTYLER.HLP to \OS2\HLP ..."
destpath = bootdrv"\OS2\HELP"
"COPY ESTYLER.HLP "destpath
/* Copy the bitmaps to \OS2\BITMAP                                      */
say nl"Copying the image files to \OS2\BITMAP"
"XCOPY BITMAP\* "bootdrv"\OS2\BITMAP /S /O"
"pause"
/* Items to be added to OS2.INI *****************************************/

   /* checks the value of OS2.INI->SYS_DLLS->LoadPerProcess         */
   /* if ESTLRL10 is missing adds it                                */

say nl"OS2.INI update ..."nl

DLLname = "ESTLRL10"
   
val = SysIni("USER", "SYS_DLLS", "LoadPerProcess");
if val \= "ERROR:" then do
   if 0 = pos(DLLname, val) then do
      val = strip(strip(val, "T", x2c("00"))) || " " || DLLname || " " || "00"x;
      val = SysIni("USER", "SYS_DLLS", "LoadPerProcess", val);
      end /* do */
   end /* do */

/*       ----------------     OBSOLETE   -----------------                 */
/* iniapp = "eStylerLite"                                                  */
/* keyname = "Path"                                                        */
/* data = destpath || "00"x                                                */
/* val = SysIni("USER", iniapp, keyname, data);                            */
/*                                                                         */


/* other items added to OS2.INI:                                           */
/*                                                                         */
/* Application :  Key :         Value:                   Comment:          */
/*                                                                         */
/* "eStylerLite"  "Path"        "D:\OS2\APPS\ESTYLER"    D means the system*/
/*                                                       drive             */
/*                "Exceptions"  "MPTS.EXE" || "0000"x    there must be 2   */
/*                                                       NULL characters at*/
/*                                                       the end           */


/***************************************************************************/
/* Objects creation                                                        */
/***************************************************************************/

say nl"Object creation"nl

/* creates the Preferences object in the system setup folder               */
say nl"Creating the ""eStylerLite - Preferences""object in the:"
say " ""System Setup Folder"""
class = "WPProgram"
title = "eStylerLite - Preferences"
locat = "<WP_CONFIG>"
setup = "CCVIEW=NO;OBJECTID=<ECS_ESTLRLITEPREF>;EXENAME=" ||,
        bootdrv"\OS2\ESTYLER.EXE;PROGTYPE=PM"
val = SysCreateObject(class, title, locat, setup, "R");

/* creates the documentation object in Online Information Overview         */
say nl"Creating the ""eStylerLite - User's Guide"" object in the:"
say " ""Online Information Overview"" folder"
class = "WPProgram"
title = "eStylerLite - User's Guide"
locat = "<WP_TASKSINFO>"
setup = "CCVIEW=NO;OBJECTID=<ECS_ESTLRLITEHLP>;EXENAME=VIEW.EXE;" ||,
        "PARAMETERS="bootdrv"\OS2\HELP\ESTYLER.HLP;PROGTYPE=PM"
val = SysCreateObject(class, title, locat, setup, "R");

say " Press any key to shutdown now, Ctrl-C to abort shutdown..."
"pause > nul"
"shutdown"


exit
