/* eStylerLite installation script */
/*trace "?I"*/

/* initialization *******************************************************/
nl = "0d0a"x

"@echo off"
"mode co80,40"
say
say " Please close the eStylerLite Preferences notebook if it is opened!"
say " Press any key to start the uninstallation of eStylerLite for eComStation."
say " Press Ctrl-C to abort installation..."
say
"PAUSE > NUL"

say nl"Initialization ..."nl
if RxFuncQuery('SysLoadFuncs') then do
    call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
    call SysLoadFuncs
    end
bootdrv = SysBootDrive();

   /* checks the value of OS2.INI->SYS_DLLS->LoadPerProcess         */
   /* if ESTLRL10 is missing adds it                                */

say nl"OS2.INI update ..."nl

DLLname = "ESTLRL10"
   
val = SysIni("USER", "SYS_DLLS", "LoadPerProcess");
if val \= "ERROR:" then do
   startdel = pos(DLLname, val)
   if startdel \= 0 then do
      val = delstr(val, startdel, 9)
      val = SysIni("USER", "SYS_DLLS", "LoadPerProcess", val);
      if val \= "ERROR:" then do
         say " OS2.INI succesfully updated!"
         end /* do */
      else do
         say " Failed to update OS2.INI!"
         exit
         end /* do */
      end /* do */
   end /* do */

val = SysIni("USER", "eStylerLite", "ALL:", "keys");
if (val \= "ERROR:") & (keys.0 \= 0) then do
   val = SysIni("USER", "eStylerLite")
   if val \= "ERROR:" then do
      say " OS2.INI succesfully updated!"
      end /* do */
   else do
      say " Failed to update OS2.INI!"
      exit
      end /* do */
   end /* do */


/* UNLOCK EXECUTABLE MODULES TO ALLOW DELETION                     */

"unlock "bootdrv"\OS2\DLL\ESTLRL10.DLL > NUL"
"unlock "bootdrv"\OS2\DLL\ESTLRLRS.DLL > NUL"
"unlock "bootdrv"\OS2\DLL\AFCUTL01.DLL > NUL"
"unlock "bootdrv"\OS2\ESTYLER.EXE > NUL"

say
say " Press any key to start deleting eStylerLite for eComStation files"
say " from your \OS2\ directory. Press Ctrl-C to abort..."
say
"PAUSE > NUL"
say nl"Initialization ..."nl
if RxFuncQuery('SysLoadFuncs') then do
    call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
    call SysLoadFuncs
    end
bootdrv = SysBootDrive();

/* DELETE DLLs **********************************************************/
say nl"Deleting eStylerLite files from \OS2\DLL\ ..."nl
destpath = bootdrv"\OS2\DLL"
"DEL "destpath"\ESTLRL10.DLL"
"DEL "destpath"\ESTLRLRS.DLL"
"DEL "destpath"\AFCUTL01.DLL"
/* delete ESTYLER.EXE from \OS2                                         */
say nl"Deleting ESTYLER.EXE and ESTYLER.INI from \OS2\..."nl
destpath = bootdrv"\OS2"
"DEL "destpath"\ESTYLER.EXE"
"DEL "destpath"\ESTYLER.INI"

/* delete ESTYLER.INF from \OS2\BOOK                                    */
say nl"Deleting ESTYLER.HLP from \OS2\HELP"
destpath = bootdrv"\OS2\HELP"
"DEL "destpath"\ESTYLER.HLP"
/* Delete the bitmaps from \OS2\BITMAP                                  */
say nl"Deleting the image files from \OS2\BITMAP"
destpath = bootdrv"\OS2\BITMAP\BUTTON"
call directory destpath
"ECHO Y | DEL * > NUL"
call directory ".."
"RD "destpath
destpath = bootdrv"\OS2\BITMAP\TBKGNDS"
call directory destpath
"ECHO Y | DEL * > NUL"
call directory ".."
"RD "destpath


/***************************************************************************/
/* Objects deletion                                                        */
/***************************************************************************/

say nl"Object deletion"nl

/* deletes the Preferences object in the system setup folder              */
say nl"Deleting the ""eStylerLite - Preferences""object from the:"
say " ""System Setup Folder"""
call SysDestroyObject "<ECS_ESTLRLITEPREF>"

/* deletes the documentation object in Online Information Overview        */
say nl"Deleting the ""eStylerLite - User's Guide"" object from the:"
say " ""Online Information Overview"" folder"
call SysDestroyObject "<ECS_ESTLRLITEHLP>"

"pause"

say " Press any key to shutdown now, Ctrl-C to abort shutdown..."
"pause > nul"
"shutdown"


exit
